function init(hero) {
    hero.setName("Current");
    hero.setTier(6);

    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");

    hero.addPowers("smp:current_manipulation");
    hero.addAttribute("PUNCH_DAMAGE", 7.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);

    hero.addKeyBind("ENERGY_PROJECTION", "Energy Projection", 1);
    hero.addKeyBind("SHIELD", "key.shield", 2);
    hero.addKeyBind("CHARGED_BEAM", "Current Burst", 3);

    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
        case "SHIELD":
            return !(entity.getData("fiskheroes:flying") && entity.isSprinting());
        case "ENERGY_PROJECTION":
            return !entity.getData("fiskheroes:shield_blocking");
        case "CHARGED_BEAM":
            return !entity.getData("fiskheroes:shield_blocking");
        default:
            return true;
    }
}