extend("fiskheroes:hero_basic");
loadTextures({
    "suit": "smp:icelight",
    "staff": "smp:icelight_ice_staff",
    "staff_lights": "smp:icelight_ice_staff_lights"
});

var utils = implement("fiskheroes:external/utils");

function init(renderer) {
    parent.init(renderer);
    renderer.setTexture((entity, renderLayer) => {
        return "suit";
    });

    renderer.showModel("CHESTPLATE", "head", "headwear", "body", "rightArm", "leftArm", "rightLeg", "leftLeg");
    renderer.fixHatLayer("CHESTPLATE");
}

function initEffects(renderer) {
    staff = renderer.createEffect("fiskheroes:model");
    staff.setModel(utils.createModel(renderer, "smp:icelight_ice_staff", "staff", "staff_lights"));
    staff.anchor.set("rightArm");
    staff.setRotation(90, 0, 0);
    staff.setOffset(1, 8, -18)
}

function render(entity, renderLayer, isFirstPersonArm) {
    if (entity.getData("fiskheroes:blade")) {
        staff.render();
    }
}